summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /www-servers/ocsigenserver/ocsigenserver-2.5-r2.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'www-servers/ocsigenserver/ocsigenserver-2.5-r2.ebuild')
-rw-r--r--www-servers/ocsigenserver/ocsigenserver-2.5-r2.ebuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/www-servers/ocsigenserver/ocsigenserver-2.5-r2.ebuild b/www-servers/ocsigenserver/ocsigenserver-2.5-r2.ebuild
new file mode 100644
index 00000000000..b2a3ba40ad4
--- /dev/null
+++ b/www-servers/ocsigenserver/ocsigenserver-2.5-r2.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib findlib user
+
+DESCRIPTION="Ocaml-powered webserver and framework for dynamic web programming"
+HOMEPAGE="http://www.ocsigen.org"
+SRC_URI="https://github.com/ocsigen/ocsigenserver/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="debug doc dbm +ocamlopt +sqlite zlib"
+REQUIRED_USE="|| ( sqlite dbm )"
+RESTRICT="strip installsources"
+
+DEPEND=">=dev-ml/lwt-2.5.0:=[react,ssl]
+ >=dev-ml/react-0.9.3:=
+ zlib? ( >=dev-ml/camlzip-1.03-r1:= )
+ dev-ml/cryptokit:=
+ >=dev-ml/ocamlnet-3.6:=[pcre]
+ >=dev-ml/pcre-ocaml-6.2.5:=
+ >=dev-ml/tyxml-3.3:=
+ >=dev-lang/ocaml-3.12:=[ocamlopt?]
+ dev-ml/ocaml-ipaddr:=
+ dbm? ( || ( dev-ml/camldbm:= >=dev-lang/ocaml-3.12[gdbm] ) )
+ sqlite? ( dev-ml/ocaml-sqlite3:= )"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ enewgroup ocsigenserver
+ enewuser ocsigenserver -1 -1 /var/www ocsigenserver
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/lwt.patch"
+ epatch "${FILESDIR}/lwt2.patch"
+ epatch "${FILESDIR}/lwt3.patch"
+}
+
+src_configure() {
+ sh configure \
+ --prefix /usr \
+ --temproot "${ED}" \
+ --bindir /usr/bin \
+ --docdir /usr/share/doc/${PF} \
+ --mandir /usr/share/man/man1 \
+ --libdir /usr/$(get_libdir)/ocaml \
+ $(use_enable debug) \
+ $(use_with zlib camlzip) \
+ $(use_with sqlite) \
+ $(use_with dbm) \
+ --with-preempt \
+ --ocsigen-group ocsigenserver \
+ --ocsigen-user ocsigenserver \
+ --name ocsigenserver \
+ || die "Error : configure failed!"
+}
+
+src_compile() {
+ if use ocamlopt; then
+ emake
+ else
+ emake byte
+ fi
+ use doc && emake doc
+}
+
+src_install() {
+ findlib_src_preinst
+ if use ocamlopt; then
+ emake install
+ else
+ emake install.byte
+ fi
+ if use doc ; then
+ emake install.doc
+ fi
+ emake logrotate
+
+ newinitd "${FILESDIR}"/ocsigenserver.initd ocsigenserver || die
+ newconfd "${FILESDIR}"/ocsigenserver.confd ocsigenserver || die
+
+ dodoc README
+
+ # We create it at runtime
+ rm -f "${ED}/var/run/ocsigenserver_command" || die
+}